import { DebugLogger } from '@infinite-table/infinite-react';
export declare class LMLogger {
    protected debugger: DebugLogger;
    protected infoLogger: DebugLogger;
    protected successLogger: DebugLogger;
    protected warnLogger: DebugLogger;
    protected errorLogger: DebugLogger;
    private perfLogger;
    private debugId;
    constructor(options: {
        debugId: string;
    });
    beginPerf(sectionName: string): {
        end: (additionalComment?: string) => void;
    };
    info(message: string, ...optionalParams: any[]): void;
    success(message: string, ...optionalParams: any[]): void;
    warn(message: string, ...optionalParams: any[]): void;
    error(message: string, ...optionalParams: any[]): void;
}
